Name:           owncloud-csync
Version:        0.50.8
Release:        6%{?dist}
Summary:        A user level bidirectional client only file synchronizer
License:        GPLv2+
Url:            http://owncloud.org/sync-clients/
Source0:        http://download.owncloud.com/download/csync-%{version}.tar.bz2

## uptramable patches
#fix fsf address in COPYING file
Patch01: csync-0.50.8-COPYING_fix.patch

BuildRequires:  check
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  libsmbclient-devel
BuildRequires:  iniparser-devel >= 3.1
BuildRequires:  libssh-devel
BuildRequires:  log4cpp-devel
BuildRequires:  neon-devel
BuildRequires:  sqlite-devel
BuildRequires:  openssl-devel

%description
csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. csync makes use
of libsmbclient in Samba/Windows environments.

%package libs
Summary: A user level bidirectional client only file synchronizer

%description libs
csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. csync makes use
of libsmbclient in Samba/Windows environments.

%package plugin-smb
Summary:        SMB plugin for csync
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description plugin-smb
This plug-in allows applications using csync to synchronize with a
Samba or Windows server.

%package plugin-sftp
Summary:        A user level bidirectional client only file synchronizer
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description plugin-sftp
csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for clients. csync makes use
of libsmbclient in Samba/Windows environments.

%package plugin-owncloud
Summary:        A user level bidirectional client only file synchronizer
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description plugin-owncloud
csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. csync makes use
of libneon to access ownCloud. 

%package devel
Summary:        Development files for csync
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
The csync-devel package contains the static libraries and header
files needed for development with csync.

%package devel-doc
Summary: Developer documentation for csync

%description devel-doc
The csync-devel-doc package provides documentation for csync
development.

%package doc
Summary:        User documentation for csync

%description doc
The csync-doc package provides user documentation for csync.

%prep
%setup -q -n csync-%{version}

%patch01 -p1 -b .COPYING_fix

%build
if test ! -e "build"; then
  mkdir build
fi

pushd build
%cmake \
  -DLOG_TO_CALLBACK=ON \
  -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  %{_builddir}/csync-%{version}
make %{?_smp_mflags} %{?jobs:-j%jobs} VERBOSE=1
make doc
popd build

%install
pushd build
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_docdir}/%{name}-devel-%{version}/
mv %{_builddir}/csync-%{version}/build/doc/html %{buildroot}%{_docdir}/%{name}-devel-%{version}/html
mv %{buildroot}%{_docdir}/csync %{buildroot}%{_docdir}/%{name}-%{version}/

popd build

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%{_bindir}/csync
%{_mandir}/man?/csync.*

%files libs
%config(noreplace) %{_sysconfdir}/csync/csync.conf
%config(noreplace) %{_sysconfdir}/csync/csync_exclude.conf
%config(noreplace) %{_sysconfdir}/csync/csync_log.conf
%doc AUTHORS COPYING README ChangeLog
%dir %{_sysconfdir}/csync
%{_libdir}/libcsync.so.*
%dir %{_libdir}/csync-0

%files plugin-smb
%{_libdir}/csync-0/csync_smb.so

%files plugin-sftp
%{_libdir}/csync-0/csync_sftp.so

%files plugin-owncloud
%{_libdir}/csync-0/csync_owncloud.so

%files devel
%{_includedir}/csync
%{_libdir}/libcsync.so

%files devel-doc
%{_docdir}/%{name}-devel-%{version}/html

%files doc
%{_docdir}/%{name}-%{version}

%changelog
* Fri Aug 17 2012 <jmarrero@fedoraproject.org> 0.50.8-6
- Changed package name to owncloud-csync to stablish this is csync owncloud branch also known as dav branch
* Sat Aug 16 2012 <jmarrero@fedoraproject.org> 0.50.8-5
- Changed devel documentation directories to %%{name}-devel-%%{version}
- escape macros in changelog using %%
- remove gcc-c++ dep since is part of the minimal build environment
- add CMAKE flag dcMAKE_SHARED_LINKER_FLAGS and remove dcMAKE_SKIP_RPATH
* Sat Aug 15 2012 <jmarrero@fedoraproject.org> 0.50.8-4
- Changed documentation directories to %%{name}-%%{version} and %%{name}-devel-%%{version}
* Sat Aug 15 2012 <jmarrero@fedoraproject.org> 0.50.8-3
- Added correct version of build requirement iniparser-devel
- Fixed dates and versions on changelog
- Removed outdated %%defattr(-,root,root) macros
- Removed INSTALL file from the lib documentation (%%doc)
- Added ChangeLog file to the lib documentation (%%doc)
- Added Patch to correct fsf address on COPYING file
- Added more strict dep naming
- Changed documatation install directories
* Sat Aug 14 2012 <jmarrero@fedoraproject.org> 0.50.8-2
- Added openssl dependency version
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 0.50.8-1
- Initial try to package csync dav branch version
